Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Class StartProcessHelper

    java.lang.Object
      org.jbpm.process.instance.StartProcessHelper

    public final class StartProcessHelper

extends Object

Field Summary
`static String` | `PROCESS_COMPARATOR_CLASS_KEY`

Constructor Summary
`StartProcessHelper()`

Method Summary
`static String` | `findLatestProcessByName(Collection<Process> processes, String processName)`
`static String` | `findLatestProcessByName(Collection<Process> processes, String processName, Comparator<Process> comparator)`
`static String` | `findLatestProcessByName(KieBase kbase, String processName)`
`static String` | `findLatestProcessByName(KieBase kbase, String processName, Comparator<Process> comparator)`
`protected static Comparator<Process>` | `getComparator(String name)`
`static ProcessInstance` | `startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime, String name, Map<String,Object> parameters)`
`static ProcessInstance` | `startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime, String name, Map<String,Object> parameters, Comparator<Process> comparator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESS_COMPARATOR_CLASS_KEY

    public static final String PROCESS_COMPARATOR_CLASS_KEY

See Also:
  Constant Field Values

Constructor Detail

### StartProcessHelper

    public StartProcessHelper()

Method Detail

### startProcessByName

    public static ProcessInstance startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime,
                                                     String name,
                                                     Map<String,Object> parameters)

### startProcessByName

    public static ProcessInstance startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime,
                                                     String name,
                                                     Map<String,Object> parameters,
                                                     Comparator<Process> comparator)

### findLatestProcessByName

    public static String findLatestProcessByName(KieBase kbase,
                                                 String processName)

### findLatestProcessByName

    public static String findLatestProcessByName(KieBase kbase,
                                                 String processName,
                                                 Comparator<Process> comparator)

### findLatestProcessByName

    public static String findLatestProcessByName(Collection<Process> processes,
                                                 String processName)

### findLatestProcessByName

    public static String findLatestProcessByName(Collection<Process> processes,
                                                 String processName,
                                                 Comparator<Process> comparator)

### getComparator

    protected static Comparator<Process> getComparator(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.